//button
.button {
  padding: $btn-padding;
  border-radius: 2rem;
  font-weight: $bold-font;
  cursor: pointer;
  transition: .4s;

  &:hover {
    background: $first-color-dark;
    color: $body-color;
    transition: .4s;
  }
}

.main__button {
  background: $first-color;
  color: $body-color;
}

.secondary__button {
  border: 2px solid $first-color-dark;
  color: $first-color-dark;
}


//darked__fx
.darked__fx {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: $bg-color;
    opacity: 0.6;
    z-index: -1;
  }
}


//logo
.logo__section a {
  display: flex;
  align-items: center;
  gap: .4rem;
  color: $first-color-dark;
  font-weight: $semi-bold-font;
  transition: .4s;

  path {
    stroke: $first-color-dark;
    transition: .4s;
  }

  &:hover {
    color: $secondary-color;
    transition: .4s;

    path {
      stroke: $secondary-color;
      transform: rotate(-8deg);
      transition: .4s;
    }
  }
}

//Separator
.separator {
  width: 56px;
  height: 2px;
  margin: $gap-padding 0;
}

.main__separator {
  background: $first-color;
}

.white__separator {
  background: $body-color;
}

//Menu__bar
#menu {
  display: none;
  z-index: 1;
  
  @media screen and (max-width: $width-medium) {
    display: block;
  }
}

#menu-bar {
  width: 32px;
  height: auto;
  margin: 30px 0 20px 20px;
  cursor: pointer;
}

.bar {
  height: 3px;
  width: 100%;
  background-color: $first-color-dark;
  display: block;
  border-radius: 5px;
  transition: 0.3s ease;
}

#bar1 {
  transform: translateY(-4px);
}

#bar3 {
  transform: translateY(4px);
}

.change {
  display: block;
}

.change .bar {
  background-color: $secondary-color;
}

.change #bar1 {
  transform: translateY(2px) rotateZ(-45deg);
}

.change #bar2 {
  opacity: 0;
}

.change #bar3 {
  transform: translateY(-4px) rotateZ(45deg);
}

.change-bg {
  width: 720px;
  height: 480px;
  transform: translate(-60%,-30%);
}

.menu-bg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 0;
  height: 0;
  margin: 30px 0 20px 20px;
  background: radial-gradient(circle, $first-color-dark, $first-color-dark);
  border-radius: 50%;
  transition: .4s ease;
}

.change-bg {
  width: 800px;
  height: 480px;
  transform: translate(-60%,-30%);
}